[tor-commits] [Git][tpo/applications/tor-browser-build][maint-14.0] Bug 41286: Update the deploy update scripts to optinally take an override hash

morgan (@morgan) git at gitlab.torproject.org
Wed Oct 30 18:35:43 UTC 2024



morgan pushed to branch maint-14.0 at The Tor Project / Applications / tor-browser-build


Commits:
5c1ddf37 by Nicolas Vigier at 2024-10-30T18:35:18+00:00
Bug 41286: Update the deploy update scripts to optinally take an override hash

- - - - -


1 changed file:

- tools/signing/upload-update_responses-to-staticiforme


Changes:

=====================================
tools/signing/upload-update_responses-to-staticiforme
=====================================
@@ -55,12 +55,20 @@ cat << EOF > "$deploy_script"
 #!/bin/bash
 set -e
 
-echo "Deploying version $tbb_version"
-echo "update_responses_commit: $update_responses_commit"
+if test "\$#" -gt 1; then
+  echo >&2 "Wrong number of arguments"
+  exit 2
+fi
+
+commit=$update_responses_commit
+test "\$#" -eq 1 && commit="\$1"
+
+test "\$#" -eq 0 && echo "Deploying version $tbb_version"
+echo "update_responses_commit: \$commit"
 
 cd "$update_dir"
 git fetch
-changed_files="\$(git diff --name-only HEAD $update_responses_commit)"
+changed_files="\$(git diff --name-only HEAD \$commit)"
 if echo "\$changed_files" | grep -qv "$tbb_version_type"
 then
   echo >&2 "Error: checking out new update_response_commit will changes"
@@ -72,7 +80,7 @@ then
   echo >&2 "See tor-browser-build#41168 for more details."
   exit 1
 fi
-git checkout "$update_responses_commit"
+git checkout "\$commit"
 
 static-update-component aus1.torproject.org
 EOF



View it on GitLab: https://gitlab.torproject.org/tpo/applications/tor-browser-build/-/commit/5c1ddf378c935e06b4c08ce70349fcd5936485bd

-- 
View it on GitLab: https://gitlab.torproject.org/tpo/applications/tor-browser-build/-/commit/5c1ddf378c935e06b4c08ce70349fcd5936485bd
You're receiving this email because of your account on gitlab.torproject.org.


-------------- next part --------------
An HTML attachment was scrubbed...
URL: <http://lists.torproject.org/pipermail/tor-commits/attachments/20241030/7cb407d3/attachment-0001.htm>


More information about the tor-commits mailing list